# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20150123213639) do

  create_table "admins", force: :cascade do |t|
    t.string   "name",                   limit: 255
    t.string   "firstname",              limit: 255
    t.string   "avatar",                 limit: 255
    t.string   "username",               limit: 255, default: "", null: false
    t.string   "email",                  limit: 255, default: "", null: false
    t.string   "password_digest",        limit: 255, default: "", null: false
    t.string   "reset_password_token",   limit: 255
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          limit: 4,   default: 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip",     limit: 255
    t.string   "last_sign_in_ip",        limit: 255
    t.string   "remember_token",         limit: 255
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "cat_taxons", force: :cascade do |t|
    t.integer  "t_cat_id",   limit: 4
    t.integer  "taxon_id",   limit: 4
    t.datetime "created_at",           null: false
    t.datetime "updated_at",           null: false
  end

  add_index "cat_taxons", ["t_cat_id"], name: "index_cat_taxons_on_t_cat_id", using: :btree
  add_index "cat_taxons", ["taxon_id"], name: "index_cat_taxons_on_taxon_id", using: :btree

  create_table "t_cats", force: :cascade do |t|
    t.string   "name",        limit: 255
    t.string   "slug",        limit: 255
    t.text     "description", limit: 65535
    t.datetime "created_at",                null: false
    t.datetime "updated_at",                null: false
  end

  create_table "taxons", force: :cascade do |t|
    t.boolean  "enabled",          limit: 1
    t.integer  "position",         limit: 4
    t.boolean  "fav",              limit: 1
    t.string   "regne",            limit: 255
    t.string   "phylum",           limit: 255
    t.string   "classe",           limit: 255
    t.string   "ordre",            limit: 255
    t.string   "famille",          limit: 255
    t.string   "group1_inpn",      limit: 255
    t.string   "group2_inpn",      limit: 255
    t.integer  "cd_nom",           limit: 4
    t.integer  "cd_taxsup",        limit: 4
    t.integer  "cd_ref",           limit: 4
    t.string   "rang",             limit: 255
    t.string   "lb_nom",           limit: 255
    t.string   "lb_auteur",        limit: 255
    t.string   "nom_complet",      limit: 255
    t.string   "nom_complet_html", limit: 255
    t.string   "nom_valide",       limit: 255
    t.text     "nom_vern",         limit: 65535
    t.text     "nom_vern_eng",     limit: 65535
    t.integer  "habitat",          limit: 4
    t.string   "fr",               limit: 255
    t.string   "gf",               limit: 255
    t.string   "mar",              limit: 255
    t.string   "gua",              limit: 255
    t.string   "sm",               limit: 255
    t.string   "sb",               limit: 255
    t.string   "spm",              limit: 255
    t.string   "may",              limit: 255
    t.string   "epa",              limit: 255
    t.string   "reu",              limit: 255
    t.string   "taaf",             limit: 255
    t.string   "pf",               limit: 255
    t.string   "nc",               limit: 255
    t.string   "wf",               limit: 255
    t.string   "cli",              limit: 255
    t.string   "url",              limit: 255
    t.datetime "created_at",                     null: false
    t.datetime "updated_at",                     null: false
  end

  add_foreign_key "cat_taxons", "t_cats"
  add_foreign_key "cat_taxons", "taxons"
end
